"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _BaseComponent = _interopRequireDefault(require("../base/BaseComponent"));
var _AndroidVideoViewNativeComponent = _interopRequireDefault(require("../fabric/AndroidVideoViewNativeComponent"));
var _helper = require("../utils/helper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Copyright: Tô Minh Tiến - GreenifyVN (tien.tominh@gmail.com)
 */

const styles = _reactNative.StyleSheet.create({
  video: {
    height: 452,
    width: '100%',
    borderWidth: 0
  }
});
const defaultStyle = styles.video;
class RnVideo extends _BaseComponent.default {
  labelLog = '[RnVideo]';
  static displayName = 'RnVideo';
  static defaultProps = {
    source: (0, _helper.isAndroid)() ? '' : '',
    playerHeight: 500,
    playerWidth: 350,
    volume: 0,
    isReplay: true
  };
  constructor(props) {
    super(props);
    let labelLogLocal = '';
    if (__DEV__) {
      labelLogLocal = `${this.labelLog} [constructor]`;
    }
    labelLogLocal && console.log(`${labelLogLocal} props -> ${JSON.stringify(props)}`);
  }
  render() {
    let labelLogLocal = '';
    if (__DEV__) {
      labelLogLocal = `${this.labelLog} [render]`;
    }
    // const { props } = this;
    const {
      source,
      isPlay,
      volume,
      playerHeight,
      playerWidth,
      isReplay
    } = this.props;
    // TODO: support only android for now as Android is sufferring a lot of performance
    const Video = (0, _helper.isAndroid)() ? _AndroidVideoViewNativeComponent.default : _AndroidVideoViewNativeComponent.default;
    labelLogLocal && console.log(`${labelLogLocal} this.props -> ${JSON.stringify(this.props)}`);
    return /*#__PURE__*/React.createElement(Video, {
      style: defaultStyle,
      source: source,
      play: isPlay,
      replay: isReplay,
      volume: volume,
      playerHeight: playerHeight,
      playerWidth: playerWidth,
      ref: ref => this.refMethod(ref)
    });
  }
}
exports.default = RnVideo;
//# sourceMappingURL=RnVideo.js.map